<?xml version='1.0' encoding='utf-8'?>
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="cc.winboll.studio.midiplayer">

    <!-- 读取您共享存储空间中的内容 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

    <!-- 修改或删除您共享存储空间中的内容 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>

    <!-- 拥有完全的网络访问权限 -->
    <uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="android.permission.RECORD_AUDIO" />
	<uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
	
    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:label="@string/app_name"
        android:theme="@style/MyAppTheme"
        android:resizeableActivity="true"
        android:name=".App">

		<activity
			android:name=".MidiPlayerActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			<!-- 支持打开Midi文件 -->
			<intent-filter>
				<action android:name="android.intent.action.VIEW" />
				<category android:name="android.intent.category.DEFAULT" />
				<data android:mimeType="audio/midi" />
				<data android:scheme="file" />
			</intent-filter>
		</activity>

        <meta-data
            android:name="android.max_aspect"
            android:value="4.0"/>

        <activity android:name=".GlobalApplication$CrashActivity"/>

    </application>

</manifest>
